curl --request GET \
--url https://api.rippling.com/platform/api/leave_requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rippling.com/platform/api/leave_requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rippling.com/platform/api/leave_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "5b998dfb40cae798a83e8874",
"createdAt": "2018-08-12T15:06:51.681000-07:00",
"updatedAt": "2018-08-13T15:06:51.684000-07:00",
"role": "5ae0b2cb40cae73202bd66cc",
"roleName": "Jane Doe",
"requestedBy": "5ae0b2cb40cae73202bd66cc",
"requestedByName": "Jane Doe",
"status": "APPROVED",
"startDate": "2018-08-22",
"endDate": "2018-08-24",
"startDateStartTime": "2018-08-22T12:00:00.235000-07:00",
"endDateEndTime": "2018-08-24T15:00:00.235000-07:00",
"startDateCustomHours": 8,
"endDateCustomHours": 4,
"comments": null,
"numHours": 20,
"numMinutes": 1200,
"leavePolicy": "5b998cf940cae798a83e87fd",
"leaveType": "VACATION",
"policyDisplayName": "Vacation",
"processedAt": "2018-08-13T15:06:51.684000-07:00",
"processedBy": "5ae0b2cb40cae73202bd66cc",
"processedByName": "Funky Admin",
"reasonForLeave": "Visiting hometown for my brother’s wedding",
"externalId": "qwerty12345",
"roleTimezone": "America/Los_Angeles",
"dates": [
{
"date": "2018-08-22",
"numMinutes": 480
},
{
"date": "2018-08-23",
"numMinutes": 480
},
{
"date": "2018-08-24",
"numMinutes": 240
}
]
}
]GET Leave Requests
Retrieves the current leave requests.The query can be filtered by a number of specific query parameters.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date of leave.
End date of leave.
Filter to capture whether the leave request overlaps with a date range.
Filter to capture whether the leave request overlaps with a date range.
Sets a limit on the returned values
Offsets the returned values
Response
OK
Unique identifier of the leave request.
Unique identifier of the employee who is taking leave.
Unique identifier of the employee who made the request (in most cases this is the same as role).
PENDING, APPROVED, REJECTED, CANCELED VACATION, SICK, JURY_DUTY Unique identifier of the employee who approved or rejected the request. This may be null.
Timezone of the role. This will be work location timezone, or home timezone for employees without a work location.
Show child attributes
Show child attributes
If the leave request is paid this will be TRUE. Otherwise, this will be FALSE.
This indicates the system that manages the Leave Request. PTO = managed by Rippling's Time Off app. LEAVES = managed by Rippling's Leave Management app. TILT = managed by third-party partner Tilt.
PTO, LEAVES, TILT Show child attributes
Show child attributes